History

Date | Author | Modification
16.09.2003 | Georg Rauter | Creation English Version
21.11.2003 | Georg Rauter | Modifications for NFS Version 4.3.x
14.01.2004 | Georg Rauter | Modifications for GIS-Server and command line
27.09.2004 | Georg Rauter | Modifications for NFS Version 4.5.x
05.10.2004 | Georg Rauter | Modifications for Motorbikes Berlin
10.10.2007 | Georg Rauter | Modifications for OPPS with firmware from V6.25 on
01.10.2009 | Georg Rauter | Modifications for contacts and command line parameter


How to use this helpfile

This Online-Help is designed as a quick (local available) reference for users and system administrators, but does not replace the more detailed documentation in pdf-Format.

Forms, menus and buttons in the user interface of NFS are linked to help topics. With <F1> you can call the help topic related to the element obtaining the focus.

Graphics of menus and some forms are providing hotspots. With a mouse click on the according area you will jump to the related help topic.

The buttons "<<" and ">>" will be shown if navigation between related topics (e.g. menu items) is available. The button "Contents" will open the content of this help file, while "Search" will offer keywords linked to related topics.

Links to important themes:

Documentation

Operating the Main Window

Sample Configurations

Reference


Documentation

With the installation of EDIABAS and NFS the respective documents and online help files are automatically installed on the target PC. To view the documents in PDF format, you need the program "Acrobat Reader".

Document | English | Description
c:\ediabas\doku\deutsch\inhalt.pdf | c:\ediabas\doku\english\contents.pdf | Overview and links to all relevant documents
..\doku\nfs.pdf | ..\doku\nfs_e.pdf | System Documentation for NFS
..\doku\nfs_faq.pdf | ..\doku\nfs_faq.pdf | FAQs using NFS (German and English)
..\doku\handb-winkfpt32_v1.3.pdf | < not available > | Information about the flash-tool used by NFS
.\nfs.chm | .\nfs_e.chm | Online help for NFS (this helpfile)
.\winkfpt.hlp | < not available > | Online help for WinKFP

Note: Notation for paths relative to the NFS\bin path.


Questions and Answers

The answers to questions or problems encountered are listed in the document NFS_FAQ.pdf. This bilingual document will be reviewed and updated more frequently according to demand.

See also:

Documentation


Contact Persons

For questions or problems that cannot be solved with the Documentation, this online help or the FAQs, the following contact persons are available at BMW.

Topic | Name (E-Mail) | Dept. | Telephone
NFS (installation, operation, updates) | Reinhold Drexel ( reinhold.drexel@bmw.de ) | TI-538 | +49-89-382-44236
EDIABAS | EDIABAS Hotline ( referenz@bmw.de ) |  | +49-89-382-68878
WinKFP | Flash-Service ( flash.service@bmw.de ) |  | +49-89-382-61664


Installation and Update

The installation of all components required for NFS takes place via the GIS server (Global Information Service). A corresponding authorization is required in order to use the functions of the GIS server.

In GIS choose the forum "BMW Standard Tools Werk" to access NFS in the directories "Standard Tools | Tool Installation Werk | NFS".

For additional information about GIS, refer to the GIS Homepage (http://gis.muc). Authorization can be applied for via the homepage.

Individualization

With different settings in the configuration file, you can adapt the interface to special requirements. The most important settings are:

·Setting the language

·Selecting the company logo

·Fading out headers and/or terminal status


Operation Main Window

Operating the Main Window

More informations concerning the Main Window

Menus

Display elements

Buttons

Traffic light


Main Window menus

Back to:

Operation Main Window

Menus to bo choosen:

File

Extras

Emergency flash

Configuration (only visible in trailermode)

Test mode

Help


Main Window display elements

Back to:

Operation Main Window


Main Window buttons

Back to:

Operation Main Window

Buttons are visible resp. enabled when the operation makes sense. E.g. the button "Ignore" is not visible in the graphic above.

Buttons, to be choosen:

Start

Continue

Cancel

Ignore

Print


Traffic Lights and Signal Lights

Back to:

Operation Main Window

(all traffic lights on)

The following states are possible:

Traffic lights | Description
Lights off | Alternating with traffic lights on, signals that program is active.
Lights on | see above
Light red on | Signals an error in the program flow that results in an abnormal termination.
Light yellow on | Signals an error in the program flow. Whether this will require a termination is decided at a later stage in the flow. Then the traffic light changes to either red or green (without user interference).
Light green on | Signals an error-free program flow

Signal Lights

The current process status for trailer flashing is visualized by means of signal lights. Here, access takes place via the PC's parallel ports. For further information about connecting the signal lamps, see chapter "Interfaces".

The following signal lights are possible:

Signal Light | Description
Off | Programming runs or program inactive NB: Signaling only takes place when an action by the operator is required. It is therefore not possible to determine on the basis of the signal light whether the program is inactive or whether programming is running
Red | An error has occurred and requires user input
Yellow | Instruction, requires user input.
Green | Result OK. The ECU can be removed.


Operation Display Window

Back to:

Operation Main Window

Go ahead to menu by clicking on the graphic!

The display window shows the content of a previously selected text file (as a rule, from the Extras menu of the main window.) The user has the option of changing the contents of the file and saving them again. As a rule, contents are displayed for the purpose of informing the system administrator. Only the system administrator in charge may make changes to the file contents.

Attention: Random changes to the files may result in the inoperability of NFS.

The display elements listed below are contained in the display window:

Element | Description
Window title | The name of the displayed file is shown in the title of the window.
Change indication | If the content of the displayed file was changed, the file name receives the suffix "*".
Status information | Is only displayed when the edit modus is activated. Contains the number of the row the cursor is located in and the text input mode (overwrite or insert).
Menu | File menu (see the following description)
Display section for file content | The content of the file is displayed in this section and changed in edit mode.


Operation Selection Window

Back to:

Operation Main Window

The selection window is only displayed with emergency flashing. The operator receives a list of ECUs and ZB-numbers from which he selects an entry.

The button "OK" first becomes visible when a 17-digit chassis number has been entered and one of the ECUs offered in the list has been selected.

NB: The file NOTFALL.DAT lists which ECUs can be selected for emergency flashing.


Operation About Dialog

Back to:

Operation Main Window

NB: The history is only visible when the language is preset to German.


Operation Message Dialog

Back to:

Operation Main Window

The message dialog either informs the operator about unforeseeable events or prompts him/her to make a decision.

The message dialog is a modal window, meaning the program flow stops until the operator responds to the dialog.

In the above example the operator has to decide whether he wants to save the changes that were made or discard them.

In normal program flow, this message should never appear. As a rule, the message dialog is used to inform the operator that unforeseen problems are going to render continuation of the program flow impossible. Such problems are, for example:

·error with file operations

·parameter files not available

·parameter files in the wrong format cannot be interpreted

·error with addressing EDIABAS or WinKFP

·in multi-channel operation if the vehicle does not support multi-channel operation


Operation Configuration

Back to:

Operation Main Window

According to the done selections the files KMM_BACK.DAT and ID_CHECK.DAT will be created new. Provided options are determined by the content of the KMM and the file TRAILER.DAT.

The selection of components for flashing has to be done in the following order:

- Carline

- I-step

- ECU (multiple selection possible)

Normaly the OK button accepts the selection and following files will be generated:

- KMM_BACK.DATnew generated, old content will be lost

- ID_CHECK.DATnew generated, old content will be lost

- SGSIM.DATwill be completed; entries with VIN+carline

(instead of VIN the IP name of the PC will be used)

Some ECU do not permit a unique correlation. In this cases the user will be prompted resolve the conflict manually.

See also:

Operation Configuration (conflict)


Operation Configuration (Conflict)

Back to:

Operation Main Window

Operation Configuration

Configuration dialog with multiple correlation (example)

Some ECU do not permit a unique correlation. In this cases the user will be prompted resolve the conflict manually.

Illustration: screenshot configuration dialog with ambiguous correlation (example)

The selection of the "proper" correlation requires especial knowlege and has to be confirmed with the following dialog (to confirm selected ZB-Number):

If there is still ambiguity the proram tries to make the best choice. All remaining options are prompted to the KMM_BACK.DAT, all options beside the best choice are marked as comment. The user will be prompted that there is still a data conflict, an has to verfiy the generated file with the possibility to make changes.

Example of automatically generated KMM_BACK.DAT with data conflict:

; ----------------------------------------------------------

; Trailer configuration

; 20.09.2004 14:45

; ----------------------------------------------------------

;

[E89X]

E89X-04-12-431 29 S??? K6769019 Z6769779 ; DSC_DXC:DSC:MK60:E90

E89X-04-12-431 29 S??? K6769882 Z6769779 ; DSC_DXC:DSC:MK60:E90

E89X-04-12-431 29 S??? K6766118 Z6769781 ; DSC_DXC:DSC:E9X:MK60E5 (Plus) (6Z)

E89X-04-12-431 29 S??? K6769840 Z6769781 ; DSC_DXC:DSC:E9X:MK60E5 (Plus) (6Z)

E89X-04-12-431 29 S??? K6769884 Z6769781 ; DSC_DXC:DSC:E9X:MK60E5 (Plus) (6Z)

E89X-04-12-431 29 S??? K6766120 Z6769781 ; DSC_DXC:DSC:E9X:MK60E5 (Plus) (6Z)

E89X-04-12-431 29 S??? K6769842 Z6769781 ; DSC_DXC:DSC:E9X:MK60E5 (Plus) (6Z)

E89X-04-12-431 29 S??? K6769886 Z6769781 ; DSC_DXC:DSC:E9X:MK60E5 (Plus) (6Z)

E89X-04-12-431 29 S??? K6769783 Z6769781 ; DSC_DXC:DSC:E9X:MK60E5 (Plus) (6Z)

;E89X-04-12-431 29 S??? K6766118 Z6769783 ; DSC_DXC:DSC:E9X:MK60E5 (Plus) (6Z) : double !!

;E89X-04-12-431 29 S??? K6769840 Z6769783 ; DSC_DXC:DSC:E9X:MK60E5 (Plus) (6Z) : double !!

;E89X-04-12-431 29 S??? K6769884 Z6769783 ; DSC_DXC:DSC:E9X:MK60E5 (Plus) (6Z) : double !!

;E89X-04-12-431 29 S??? K6769781 Z6769783 ; DSC_DXC:DSC:E9X:MK60E5 (Plus) (6Z) : conflict !!

;E89X-04-12-431 29 S??? K6766120 Z6769783 ; DSC_DXC:DSC:E9X:MK60E5 (Plus) (6Z) : double !!

;E89X-04-12-431 29 S??? K6769842 Z6769783 ; DSC_DXC:DSC:E9X:MK60E5 (Plus) (6Z) : double !!

;E89X-04-12-431 29 S??? K6769886 Z6769783 ; DSC_DXC:DSC:E9X:MK60E5 (Plus) (6Z) : double !!

E89X-04-12-431 29 S??? K4033011 Z4033013 ; DSC_DXC:DXC8+_E90/E91: xDrive (m.Kupplungsregelung)

;EOF


Sample Configurations

Constellation | Application | Instances | Channels per Instance
 | CASCADE (NFS-Light) Common Mode Trailer Mode | 1 | 1
 | Common Mode Trailer Mode | 2 | 1
 | Common Mode Trailer Mode | 2 | 2
Special purposes | CKD-Plant (HO Mode) Emergency flash Motorbike Berlin |  |

Due to the variety of configuration settings there are a great many of combinations. Nevertheless a few combinations are known as typical and listed above.

NFS provides up to 9 instances with up to 9 channels per instance. Typical multi-instance applications are restricted to 2 channels using the OPPS. Applications with one single channel are regularly using the lower-cost OBD variant. Furthermore the use of various interfaces and the mixing of different interface types is also possible, however not described as sample configurations.


Configuration for CASCADE

The configuration for CASCADE is widely identical with the common mode. As NFS-Light is only reading the vehicle configuration and does not flash, one OBD channel will be sufficient. The CASCADE specific parameterization takes place in the Command Line when calling the program.

; Start NFS.INI

[KONFIGURATION]

Retry = 0

Logo = B; BMW-Plant

Language = Deutsch; in Germany

HO_MODUS = nein

MULTIINSTANZ = nein

FIXEDWINDOW = NEIN; user interface not used with NFS-Light

ON_ZBNR_ERROR_USE_IDNR = JA

ON_IDNR_ERROR_USE_ZBNR = JA

ON_KMM_PROBLEM_TRY_TO_FLASH = Ja

FLASH_ZBNR_ALLWAYS = nein

KMM_BACK = Nein

TestModus = Nein

Signalleuchte= Nein

STICHPROBE = Nein

ZB_CHECK = NEIN

AuftragSimulieren = NEIN

TrailerModus = Nein

[BAUREIHENMATRIX]

E66=E65

E67=E65

[TRACE]

ID_Log = JA ; Creates ID.TRC

FA_Log = JA ; Creates FA.TRC

KMM_Log = JA ; Creates KMM.TRC

WARN_Log = JA ; Warnings in ERROR.TRC

FZG_Log = JA ; Creates FZG.TMP

ZB_Log = JA ; Creates ZB.TMP

[REKONFIGURATION]

DateiNameEin = C:\NFS\BATCH\MESSAGE.MSG

DateiNameAus = C:\NFS\BATCH\MESSAGE.OLD

[ANZEIGE]

Kopfzeile = JA

BatterieZuendung = JA

[E65]

UBatt_SGBD = UTILITY

UBatt_JOB = STATUS_ZUENDUNG

UBatt_RESULT = STAT_ZUENDUNG

UBatt_MIN = 1

UBatt_MAX = 1

[RR1]

UBatt_SGBD = UTILITY

UBatt_JOB = STATUS_ZUENDUNG

UBatt_RESULT = STAT_ZUENDUNG

UBatt_MIN = 1

UBatt_MAX = 1

; Ende NFS.INI


Configuration for Common Mode (1/1)

Configuration for Common Mode (1 instance / 1 channel)

Sample configuration for common mode with 1 instance and 1 channel (OBD).

; Start NFS.INI

[KONFIGURATION]

Retry = 0

Logo = B; BMW-Plant

Language = Deutsch; in Germany

HO_MODUS = nein

MULTIINSTANZ = nein

FIXEDWINDOW = ja

ON_ZBNR_ERROR_USE_IDNR = JA

ON_IDNR_ERROR_USE_ZBNR = JA

ON_KMM_PROBLEM_TRY_TO_FLASH = Ja

FLASH_ZBNR_ALLWAYS = nein

KMM_BACK = Nein

TestModus = Nein

Signalleuchte= Nein

STICHPROBE = Nein

ZB_CHECK = NEIN

AuftragSimulieren = NEIN

TrailerModus = Nein

[BAUREIHENMATRIX]

E66=E65

E67=E65

[TRACE]

ID_Log = JA ; Creates ID.TRC

FA_Log = JA ; Creates FA.TRC

KMM_Log = JA ; Creates KMM.TRC

WARN_Log = JA ; Warnings in ERROR.TRC

FZG_Log = JA ; Creates FZG.TMP

ZB_Log = JA ; Creates ZB.TMP

[REKONFIGURATION]

DateiNameEin = C:\NFS\BATCH\MESSAGE.MSG

DateiNameAus = C:\NFS\BATCH\MESSAGE.OLD

[ANZEIGE]

Kopfzeile = JA

BatterieZuendung = JA

[E65]

UBatt_SGBD = UTILITY

UBatt_JOB = STATUS_ZUENDUNG

UBatt_RESULT = STAT_ZUENDUNG

UBatt_MIN = 1

UBatt_MAX = 1

[RR1]

UBatt_SGBD = UTILITY

UBatt_JOB = STATUS_ZUENDUNG

UBatt_RESULT = STAT_ZUENDUNG

UBatt_MIN = 1

UBatt_MAX = 1

; Ende NFS.INI


Configuration for Common Mode (2/1)

Configuration for Common Mode (2 instances / 1 channel per instance)

Sample configuration for common mode with 2 instance and 1 channel per instance (OBD).

; Start NFS.INI

[KONFIGURATION]

Retry = 0

Logo = B; BMW-Plant

Language = Deutsch; in Germany

HO_MODUS = nein

MULTIINSTANZ = JA; more (2) instances

FIXEDWINDOW = ja

ON_ZBNR_ERROR_USE_IDNR = JA

ON_IDNR_ERROR_USE_ZBNR = JA

ON_KMM_PROBLEM_TRY_TO_FLASH = Ja

FLASH_ZBNR_ALLWAYS = nein

KMM_BACK = Nein

TestModus = Nein

Signalleuchte= Nein

STICHPROBE = Nein

ZB_CHECK = NEIN

AuftragSimulieren = NEIN

TrailerModus = Nein

[ INSTANZ_1 ]

Interface=STD:OBD

Unit=A ; --> reference to OBD.INI

MEHRKANAL=nein

[ INSTANZ_2 ]

Interface=STD:OBD

Unit=B ; --> reference to OBD.INI

MEHRKANAL=nein

[BAUREIHENMATRIX]

E66=E65

E67=E65

[TRACE]

ID_Log = JA ; Creates ID.TRC

FA_Log = JA ; Creates FA.TRC

KMM_Log = JA ; Creates KMM.TRC

WARN_Log = JA ; Warnings in ERROR.TRC

FZG_Log = JA ; Creates FZG.TMP

ZB_Log = JA ; Creates ZB.TMP

[REKONFIGURATION]

DateiNameEin = C:\NFS\BATCH\MESSAGE.MSG

DateiNameAus = C:\NFS\BATCH\MESSAGE.OLD

[ANZEIGE]

Kopfzeile = JA

BatterieZuendung = JA

[E65]

UBatt_SGBD = UTILITY

UBatt_JOB = STATUS_ZUENDUNG

UBatt_RESULT = STAT_ZUENDUNG

UBatt_MIN = 1

UBatt_MAX = 1

[RR1]

UBatt_SGBD = UTILITY

UBatt_JOB = STATUS_ZUENDUNG

UBatt_RESULT = STAT_ZUENDUNG

UBatt_MIN = 1

UBatt_MAX = 1

; Ende NFS.INI


Configuration for Common Mode (2/2)

Configuration for Common Mode (2 instances / 2 channels per instance)

Sample configuration for common mode with 2 instance and 2 channels per instance (OPPS).

; Start NFS.INI

[KONFIGURATION]

Retry = 0

Logo = B; BMW-Plant

Language = Deutsch; in Germany

HO_MODUS = nein

MULTIINSTANZ = JA; more (2) instances

FIXEDWINDOW = ja

ON_ZBNR_ERROR_USE_IDNR = JA

ON_IDNR_ERROR_USE_ZBNR = JA

ON_KMM_PROBLEM_TRY_TO_FLASH = Ja

FLASH_ZBNR_ALLWAYS = nein

KMM_BACK = Nein

TestModus = Nein

Signalleuchte= Nein

STICHPROBE = Nein

ZB_CHECK = NEIN

AuftragSimulieren = NEIN

TrailerModus = Nein

[ INSTANZ_1 ]

Interface=remote:OBD_ab625 ; --> reference to REMOTE.INI

MEHRKANAL=ja

Interface_1= remote:OBD_ab625

Interface_2= remote:MOST_CTRL_ab625

[ INSTANZ_2 ]

Interface=remote:OBD_ab625 ; --> reference to REMOTE.INI

MEHRKANAL=ja

Interface_1= remote:OBD_ab625

Interface_2= remote:MOST_CTRL_ab625

[BAUREIHENMATRIX]

E66=E65

E67=E65

[TRACE]

ID_Log = JA ; Creates ID.TRC

FA_Log = JA ; Creates FA.TRC

KMM_Log = JA ; Creates KMM.TRC

WARN_Log = JA ; Warnings in ERROR.TRC

FZG_Log = JA ; Creates FZG.TMP

ZB_Log = JA ; Creates ZB.TMP

[REKONFIGURATION]

DateiNameEin = C:\NFS\BATCH\MESSAGE.MSG

DateiNameAus = C:\NFS\BATCH\MESSAGE.OLD

[ANZEIGE]

Kopfzeile = JA

BatterieZuendung = JA

[E65]

UBatt_SGBD = UTILITY

UBatt_JOB = STATUS_ZUENDUNG

UBatt_RESULT = STAT_ZUENDUNG

UBatt_MIN = 1

UBatt_MAX = 1

[RR1]

UBatt_SGBD = UTILITY

UBatt_JOB = STATUS_ZUENDUNG

UBatt_RESULT = STAT_ZUENDUNG

UBatt_MIN = 1

UBatt_MAX = 1

; Ende NFS.INI


Configuration for Trailer Mode (1/1)

Configuration for Trailer Mode (1 instance / 1 channel)

Sample configuration for trailer mode with 1 instance and 1 channel (OBD).

; Start NFS.INI

[KONFIGURATION]

Retry = 0

Logo = B; BMW-Plant

Language = Deutsch; in Germany

HO_MODUS = nein

MULTIINSTANZ = nein

FIXEDWINDOW = ja

ON_ZBNR_ERROR_USE_IDNR = JA

ON_IDNR_ERROR_USE_ZBNR = JA

ON_KMM_PROBLEM_TRY_TO_FLASH = Ja

FLASH_ZBNR_ALLWAYS = nein

KMM_BACK = Nein

TestModus = Nein

Signalleuchte = JA; Signal Lights existing

STICHPROBE = Nein

ZB_CHECK = NEIN

AuftragSimulieren = NEIN

TrailerModus = Ja

[BAUREIHENMATRIX]

E66=E65

E67=E65

[TRACE]

ID_Log = JA ; Creates ID.TRC

FA_Log = JA ; Creates FA.TRC

KMM_Log = JA ; Creates KMM.TRC

WARN_Log = JA ; Warnings in ERROR.TRC

FZG_Log = JA ; Creates FZG.TMP

ZB_Log = JA ; Creates ZB.TMP

[REKONFIGURATION]

DateiNameEin = C:\NFS\BATCH\MESSAGE.MSG

DateiNameAus = C:\NFS\BATCH\MESSAGE.OLD

[ANZEIGE]

Kopfzeile = JA

BatterieZuendung = JA

[E65]

UBatt_SGBD = UTILITY

UBatt_JOB = STATUS_ZUENDUNG

UBatt_RESULT = STAT_ZUENDUNG

UBatt_MIN = 1

UBatt_MAX = 1

[RR1]

UBatt_SGBD = UTILITY

UBatt_JOB = STATUS_ZUENDUNG

UBatt_RESULT = STAT_ZUENDUNG

UBatt_MIN = 1

UBatt_MAX = 1

[TRAILERPROFIL]

Text_1 = 1 OBD

Datei_1 = C:\NFS\bin\nfs.1

Text_2 = 3 Funk

Datei_2 = C:\NFS\bin\nfs.2

Text_3 = 3 OBD

Datei_3 = C:\NFS\bin\nfs.3

; Ende NFS.INI


Configuration for Trailer Mode (2/1)

Configuration for Trailer Mode (2 instances / 1 channel per instance)

Sample configuration for trailer mode with 2 instances and 1 channel per instance (OBD).

; Start NFS.INI

[KONFIGURATION]

Retry = 0

Logo = B; BMW-Plant

Language = Deutsch; in Germany

HO_MODUS = nein

MULTIINSTANZ = JA; more (2) instances

FIXEDWINDOW = ja

ON_ZBNR_ERROR_USE_IDNR = JA

ON_IDNR_ERROR_USE_ZBNR = JA

ON_KMM_PROBLEM_TRY_TO_FLASH = Ja

FLASH_ZBNR_ALLWAYS = nein

KMM_BACK = Nein

TestModus = Nein

Signalleuchte = JA; Signal Lights existing

STICHPROBE = Nein

ZB_CHECK = NEIN

AuftragSimulieren = NEIN

TrailerModus = JA

[ INSTANZ_1 ]

Interface=STD:OBD

Unit=A ; --> reference to OBD.INI

MEHRKANAL=nein

[ INSTANZ_2 ]

Interface=STD:OBD

Unit=B ; --> reference to OBD.INI

MEHRKANAL=nein

[BAUREIHENMATRIX]

E66=E65

E67=E65

[TRACE]

ID_Log = JA ; Creates ID.TRC

FA_Log = JA ; Creates FA.TRC

KMM_Log = JA ; Creates KMM.TRC

WARN_Log = JA ; Warnings in ERROR.TRC

FZG_Log = JA ; Creates FZG.TMP

ZB_Log = JA ; Creates ZB.TMP

[REKONFIGURATION]

DateiNameEin = C:\NFS\BATCH\MESSAGE.MSG

DateiNameAus = C:\NFS\BATCH\MESSAGE.OLD

[ANZEIGE]

Kopfzeile = JA

BatterieZuendung = JA

[E65]

UBatt_SGBD = UTILITY

UBatt_JOB = STATUS_ZUENDUNG

UBatt_RESULT = STAT_ZUENDUNG

UBatt_MIN = 1

UBatt_MAX = 1

[RR1]

UBatt_SGBD = UTILITY

UBatt_JOB = STATUS_ZUENDUNG

UBatt_RESULT = STAT_ZUENDUNG

UBatt_MIN = 1

UBatt_MAX = 1

[TRAILERPROFIL]

Text_1 = 1 OBD

Datei_1 = C:\NFS\bin\nfs.1

Text_2 = 3 Funk

Datei_2 = C:\NFS\bin\nfs.2

Text_3 = 3 OBD

Datei_3 = C:\NFS\bin\nfs.3

; Ende NFS.INI


Configuration for Trailer Mode (2/2)

Configuration for Trailer Mode (2 instances / 2 channels per instance)

Sample configuration for trailer mode with 2 instances and 2 channels per instance (OPPS).

; Start NFS.INI

[KONFIGURATION]

Retry = 0

Logo = B; BMW-Plant

Language = Deutsch; in Germany

HO_MODUS = nein

MULTIINSTANZ = JA; more (2) instances

FIXEDWINDOW = ja

ON_ZBNR_ERROR_USE_IDNR = JA

ON_IDNR_ERROR_USE_ZBNR = JA

ON_KMM_PROBLEM_TRY_TO_FLASH = Ja

FLASH_ZBNR_ALLWAYS = nein

KMM_BACK = Nein

TestModus = Nein

Signalleuchte = JA; Signal Lights existing

STICHPROBE = Nein

ZB_CHECK = NEIN

AuftragSimulieren = NEIN

TrailerModus = JA

[ INSTANZ_1 ]

Interface=remote:OBD_ab625 ; --> reference to REMOTE.INI

MEHRKANAL=ja

Interface_1= remote:OBD_ab625

Interface_2= remote:MOST_CTRL_ab625

[ INSTANZ_2 ]

Interface=remote:OBD_ab625 ; --> reference to REMOTE.INI

MEHRKANAL=ja

Interface_1= remote:OBD_ab625

Interface_2= remote:MOST_CTRL_ab625

[BAUREIHENMATRIX]

E66=E65

E67=E65

[TRACE]

ID_Log = JA ; Creates ID.TRC

FA_Log = JA ; Creates FA.TRC

KMM_Log = JA ; Creates KMM.TRC

WARN_Log = JA ; Warnings in ERROR.TRC

FZG_Log = JA ; Creates FZG.TMP

ZB_Log = JA ; Creates ZB.TMP

[REKONFIGURATION]

DateiNameEin = C:\NFS\BATCH\MESSAGE.MSG

DateiNameAus = C:\NFS\BATCH\MESSAGE.OLD

[ANZEIGE]

Kopfzeile = JA

BatterieZuendung = JA

[E65]

UBatt_SGBD = UTILITY

UBatt_JOB = STATUS_ZUENDUNG

UBatt_RESULT = STAT_ZUENDUNG

UBatt_MIN = 1

UBatt_MAX = 1

[RR1]

UBatt_SGBD = UTILITY

UBatt_JOB = STATUS_ZUENDUNG

UBatt_RESULT = STAT_ZUENDUNG

UBatt_MIN = 1

UBatt_MAX = 1

[TRAILERPROFIL]

Text_1 = 1 OBD

Datei_1 = C:\NFS\bin\nfs.1

Text_2 = 3 Funk

Datei_2 = C:\NFS\bin\nfs.2

Text_3 = 3 OBD

Datei_3 = C:\NFS\bin\nfs.3

; Ende NFS.INI


Configuration for CKD-Plant (HO Mode)

In CKD-Plants and for vehicles after status F2 the HO Mode can be applied. HO Mode ensures the compatibility of ECUs, but does not force an update to the latest I-Step.

Concerning the configuration settings of the Common Mode may be used with following changes in the NFS.INI:

[KONFIGURATION]

HO_MODUS = JA


Configuration for Emergency flash

Emergency flashing will be applied when the combination of order data and ident data cannot be determined.

Examples:

·The vehicle does not possess a CAS (Car Access System), however some ECUs need to be flashed.

·Parts of a vehicle are "not visible" as one ECU with gateway function does not work properly (e.g. programming canceled). With Emergency flash full function of the ECU can be reestablished to proceed with normal process afterwards.

Emergency flash needs specific data about the ECU to be stored in the file NOTFALL.DAT.

Example of the content of NOTFALL.DAT:

; Start NOTFALL.DAT

;

; Liste der für Notfallflashen erlaubten Zusbau-Nummern

;

; Datenformat einer Zeile:

;

; 1. Integrationsstufe XX.XXXX

; alphanumerisch 4 bis 7-stellig Wildcard ? erlaubt

; Wird ignoriert, muss aber syntaktisch korrekt sein. Es sollte ??.???? benutzt werden

;

; 2. SG-Adresse 2-stellig hex

;

; 3. Typschlüssel T + 4-stellig alphanumerisch, Wildcard ? erlaubt, Negation ! erlaubt

; Wird ignoriert, muss aber syntaktisch korrekt sein. Es sollte T???? benutzt werden

;

; 4. Sonderausstattung S + 3-stellig numerisch Wildcard ? erlaubt Negation ! erlaubt

; Wird ignoriert, muss aber syntaktisch korrekt sein. Sollte nicht benutzt werden

;

; 5. Zusbau-Nummer Z + 7-stellig numerisch

;

;

[MUSTER]

??.???? 0F T???? Z6918086

??.???? 02 T???? Z6918623

; Zusbau-Nummer 1234567 mit SG-Adresse 0F und

; Zusbau-Nummer 7654321 mit SG-Adresse 02 kann Notfall programmiert werden

[E65]

[E60]

[RR1]

; Ende NOTFALL.DAT


Configuration for Motorbike Berlin

Configuration for Motorbikes Berlin

For the use in motorbike plant Berlin instead of "CAS" can be defined an alternative SGBD to obtain the vehicle data set.

Example for the content of NFS.INI:

[BAUREIHENMATRIX]

Auftrag_SGBD = MRK24


Configuration Multiinstance + Multichannel

Only One Instance

In single instance operation, the [INSTANZ] section is only required when either

·NFS is supposed to use a different channel to the one preset in EDIABAS, or

·NFS is to be operated in multi-channel mode.

By leaving out the section, you ensure that switching the channel in EDIABAS also becomes automatically effective for NFS without having to adapt NFS.INI.

A known application example for different channels is communication via radio adapter. NFS reads out the vehicle configuration via radio using EDIABAS. The vehicle does not have to be connected. However, if it becomes apparent that an ECU must be flashed, this takes place via another channel (vehicle is connected) with a higher transmission rate and higher transmission safety

Example:

[INSTANZ]

Interface=STD:OBD --> reference to OBD.INI

Unit=A

MEHRKANAL=nein

Several Instances

In multi instance operation, however, the section is compulsory for each instance ([INSTANZ_1], [INSTANZ_2] etc.).

Example of 2 instances with OBD

[INSTANZ_1]

Interface=STD:OBD --> reference to OBD.INI

Unit=A

MEHRKANAL=nein

[INSTANZ_2]

Interface=STD:OBD

Unit=B

MEHRKANAL=nein

Multi-Channel Operation

In multi-channel operation, sections [INHALT] and/or [INHALT_x] must be expanded by 2 entries per channel. The Interface and Unit entries describe the channel used by NFS (via EDIABAS), entries Interface_x and Unit_x describe the channels used by WinKFP. As NFS and WinKFP are never used simultaneously, NFS may use the same channel as one of the WinKFP instances.

Example of 2 instances with 2 channels each:

[INSTANZ_1]

Interface=remote:OBD_ab625 --> reference to REMOTE.INI

MEHRKANAL=ja

Interface_1= remote:OBD_ab625

Interface_2= remote:MOST_CTRL_ab625

[INSTANZ_2]

Interface=remote:OBD_ab625

MEHRKANAL=ja

Interface_1= remote:OBD_ab625

Interface_2= remote:MOST_CTRL_ab625


Configuration OBD.INI

This Configuration shows the OBD.INI refered by the samples of NFS.INI, which should clarify the correlation between the entries in NFS.INI and OBD.INI. OBD.INI has to be modified for individual cases according to hardware configuration etc.

For further information refer to the EDIABAS-Documentation.

; Start OBD.INI

[OBD]

Port=Com1

Hardware=OBD

RETRY=OFF

Tracelevel =0

;Tracelevel=0xFFFFFFFF

;Tracelevel=0x0FFF0000

;Tracelevel=0xFFFFFFFF

;Tracelevel=0xF0000000

;Tracelevel=0x0000FFFF

; Bit 0 = Funktionsaufruf

; Bit 1 = io Ergebnis

; Bit 2 = nio Ergebnis

; Bit 3 = Detailinfos

; Nibble 0 = readchar_wait

; Nibble 1 = main

; Nibble 2 = cmd

; Nibble 3 = obd

; Nibble 4 = send_and_receive_...

; Nibble 5 = read_telegram_...

; Nibble 6 = send_telegram

; Nibble 7 = SendData

[UNIT_1]

Port=Com1

MODE=KBUS

Tracelevel=0x0FFF00FF

[UNIT_2]

Port=Com2

MODE=KBUS

[UNIT_A]

Port=Com1

[UNIT_B]

Port=Com2

[UNIT_C]

Port=Com3

[UNIT_D]

Port=Com4

; Ende OBD.INI


Configuration REMOTE.INI

This Configuration shows the REMOTE.INI refered by the samples of NFS.INI, which should clarify the correlation between the entries in NFS.INI and REMOTE.INI. REMOTE.INI has to be modified for individual cases according to hardware configuration etc.

Caution: Please note different configuration from OPPS firmware V6.25 on.

For further information refer to the EDIABAS-Documentation.

;#### Remote.ini Musterdatei für OPPS Firmware Version ab 625 ####

; Ab Firmware Version 625 ist das OBD Interface fest auf Port 6801 und das MOST Interface

; fest auf Port 6802. Parallelbetrieb sofort erlaubt.

; Router Kommandos sind ab dieser Version verboten. (Init CMDs mit FE am Anfang)

[OBD_ab625]

ek_info = OPPS Betrieb mit OBD Interface, also K-Line oder D-CAN

RemoteHost=opps_name

;Dieser Port hat _immer_ das OBD Interface, also K-Line oder D-CAN

port = 6801

[MOST_CTRL_ab625]

ek_info = OPPS Betrieb mit MOST Interface, Asynchronkanal gesperrt

RemoteHost=opps_name

; Dieser Port hat _immer_ das MOST Interface

port = 6802

; Asynchronkanal sperren

InitCmd0= FD 05 00 03 00

[MOST_ASYNC_ab625]

ek_info = OPPS Betrieb mit MOST Interface, Asynchronkanal erlaubt

RemoteHost=opps_name

; Dieser Port hat _immer_ das MOST Interface

port =6802

; Asynchronkanal erlauben

InitCmd0= FD 05 00 03 01

; ab 0 Bytes Asynchronkanal benutzen

InitCmd1= FD 06 00 97 00 00

; Bei Steuergeräten, die den Asynchronkanal nicht unterstützen,

; und bei Telegrammen Mit SID != 0x36 wird automatisch der Kontrollkanal verwendet

[MOST_MASTER_ab625]

ek_info = OPPS Most-Master und Clock-Master

RemoteHost=opps_name

port =6802

InitCmd0 = FD 06 00 01 01 01

DisconnectOnApiEnd = 1

;#### Remote.ini Musterdatei für OPPS Firmware Version kleiner 625 ####

[Base]

ek_info = Einfacher Betrieb im Automatik - Router Modus

RemoteHost=opps_name

port = 6801

InitCmd0 = FE 04 00 85

DisconnectOnApiEnd = 1

[DiagBus]

ek_info = Mehrfachbetrieb: Nutzt nur K-Line, gibt MOST frei

RemoteHost=opps_name

port = 6801

InitCmd0 = FE 05 00 80 05

DisconnectOnApiEnd = 1

[MOST]

ek_info = Mehrfachbetrieb: Nutzt MOST, gibt K-Line frei

RemoteHost=opps_name

port = 6802

InitCmd0 = FE 05 00 80 01

DisconnectOnApiEnd = 1

[MOST_CTRL]

ek_info = Mehrfachbetrieb: Nutzt MOST, Asynchronkanal gesperrt, gibt K-Line frei

RemoteHost=opps_name

port =6802

InitCmd0 = FE 05 00 80 01

;Asynchron ausschalten

InitCmd1 = FD 05 00 03 00

DisconnectOnApiEnd = 1

[MOST_ASYNC]

ek_info = Mehrfachbetrieb: Nutzt MOST mit Asynchronkanal, gibt K-Line frei

RemoteHost=opps_name

port =6802

InitCmd0 = FE 05 00 80 01

;Asynchron einschalten

InitCmd1 = FD 05 00 03 01

;Ab 190 Bytes Telegrammlängen Asynchronkanal benutzen

InitCmd2 = FD 06 00 97 BE 00

DisconnectOnApiEnd = 1

[AUTO_ASYNC]

ek_info = Einfachbetrieb mit automatischer Umschaltung K-Line / MOST, Kontroll / Asynchronkanal

RemoteHost=opps_name

port = 6802

; Router auf MOST

InitCmd0 = FE 04 00 01

;Asynchron einschalten

InitCmd1 = FD 05 00 03 01

;Ab 190 Bytes Telegrammlängen Asynchronkanal benutzen

InitCmd2 = FD 06 00 97 BE 00

; Router wieder auf Automatik

InitCmd3 = FE 04 00 00

DisconnectOnApiEnd = 1

[MOST_MASTER]

ek_info = OPPS Most-Master und Clock-Master

RemoteHost=opps_name

port = 6802

InitCmd0 = FE 04 00 01

InitCmd1 = FD 06 00 01 01 01

DisconnectOnApiEnd = 1


Reference NFS.INI

[Konfiguration]

Retry
Logo
Language
ON_ZBNR_ERROR_USE_IDNR
ON_IDNR_ERROR_USE_ZBNR
ON_KMM_PROBLEM_TRY_TO_FLASH
FLASH_ZBNR_ALLWAYS
KMM_BACK
TestModus
STICHPROBE
ZB_CHECK
AuftragSimulieren
MULTIINSTANZ
FIXEDWINDOW
HO_MODUS
TRAILERMODUS
SIGNALLEUCHTE

[INSTANZ]

Interface
Unit
Mehrkanal

[TRACE]

ID_Log
FA_Log
KMM_Log
WARN_Log
FZG_Log
ZB_Log

[REKONFIGURATION]

DateiNameEin
DateiNameAus

[ANZEIGE]

Kopfzeile
BatterieZuendung
WinPos…

[BAUREIHENMATRIX]

Eyy = Exx

Ezz = Exx
Auftrag_SGBD

[Exx]

UBatt_SGBD
UBatt_JOB
UBatt_RESULT
UBatt_MIN
UBatt_MAX

[Trailerprofil]

Text_x
Datei_x


Reference ANLAGE.INI

[KONFIGURATION]

Anlage


Reference command line

At the start of the program NFS the command contains information about the control of the process.

The following inforamtion in the command line is used in the scope of CASCADE:

ZB_CHECK | Cascade call-up, only verification of vehicle data (ZB-Numbers)
APP_ZB_CHECK | Cascade call-up, only verification of vehicle data (ZB-Numbers) not existing ECUs are ignored (vehicle not mounted complete yet)
AUTOMATIC_FLASH | Flash automatic mode (without user interaction)
APP_AUTOMATIC_FLASH | Flash automatic mode (without user interaction)
-XML<datei> | Complete path to the Cascade XML file
-DTD<datei> | Complete path to the Cascade DTD file
-FGNR<fgnr> | Chassis number of the current vehicle

Note: Only one of the options ZB_CHECK, APP_ZB_CHECK, AUTOMATIC_FLASH and APP_AUTOMATIC_FLASH can be used at the same time.

The following defaults are used when the corresponding paramater is not contained in the command line (paths relative to executed file):

-XML | ..\TRACE\CASCADE.XML
-DTD | ..\TRACE\CASCADE.DTD
-FGNR | <empty>

An example of a valid command line would be:

NFS.EXE ZB_CHECK -XMLC:\xxx\yyy\zzz.XML -DTD"C:\aaa\bbb\ccc ddd.XML" -FGNRWBA12345678901234

Note: When the filneame <datei> contains space characters, a notation within apostrophes is required like shown in the -DTD example above.

NB: In the path you may also use "/" instead of "\" (is converted internally), which is helpfull when the call-up takes place from a Java program.


Sample ID_CHECK.DAT

Header of configuration file ID_CHECK.DAT, which explains the composition of the content.

; ID_CHECK.DAT
;
; Liste der zwingend verbauten Steuergeräteadressen und
; der Steuergeräteadressen bei denen der AIF-Eintrag systematisch fehlerhaft ist
;
; Datenformat einer Zeile:
;
; 1. Integrationsstufe EXXX-XX-XX-XXX
; alphanumerisch 14-stellig Wildcard ? erlaubt
;
; Integrationsstufe XX.XXXX ( altes Format )
; alphanumerisch 4 bis 7-stellig Wildcard ? erlaubt
;
; 2. SG-Adresse 2-stellig hex
;
; 3. Typschlüssel T + 4-stellig alphanumerisch Wildcard ? erlaubt Negation ! erlaubt
; Mehrere Typschlüssel werden und-verknüpft
;
; 4. Sonderausstattung S + 3-stellig numerisch Wildcard ? erlaubt Negation ! erlaubt
; Mehrere Sonderausstattungen werden und-verknüpft
;
; 5. Existiert E
; Steuergerät ist zwingend verbaut
;
; 6. AifEingriff A
; Steuergerät hat einen systematisch falschen AIF-Eintrag
;
;
;

[MUSTER]
????-??-??-??? 0F TAB?? T!AB44 S2?? S!201 S400 Existiert AifEingriff

????-??-??-??? 02 T????
; SG-Adresse 02 ist bei beliebiger Integrationsstufe ( immer )
; und beliebigem Typschlüssel ( immer ) verbaut
;

[E65]

[E60]

[RR1]

[E89X]

; EOF


Sample AKTION.DAT

Header of configuration file AKTION.DAT, which explains the composition of the content.

; AKTION.DAT
;
; Liste der zu programmierenden Steuergeräte
;
; Datenformat einer Zeile:
;
; 1. Integrationsstufe EXXX-XX-XX-XXX
; alphanumerisch 14-stellig Wildcard ? erlaubt
;
; Integrationsstufe XX.XXXX ( altes Format )
; alphanumerisch 4 bis 7-stellig Wildcard ? erlaubt
;
; 2. SG-Adresse 2-stellig hex
;
; 3. Typschlüssel T + 4-stellig alphanumerisch Wildcard ? erlaubt Negation ! erlaubt
; Mehrere Typschlüssel werden und-verknüpft
;
; 4. Sonderausstattung S + 3-stellig numerisch Wildcard ? erlaubt Negation ! erlaubt
; Mehrere Sonderausstattungen werden und-verknüpft
;
; 5. Zusbau-Nummer Z + 7-stellig numerisch
;
;
;
;
;
;
;

[MUSTER]
????-??-??-??? 0F TAB?? T!AB44 S2?? S!201 S400 Z1234567

????-??-??-??? 02 T???? Z7654321
; Zusbau-Nummer 7654321 mit SG-Adresse 02 ist bei beliebiger Integrationsstufe ( immer )
; und beliebigem Typschlüssel ( immer ) programmiert
;

[E65]

[E60]

[RR1]

[E89X]

; EOF


Sample NOFLASH.DAT

Header of configuration file NOFLASH.DAT, which explains the composition of the content.

; NOFLASH.DAT
;
; Liste der zu tauschenden Steuergeräte
;
; Datenformat einer Zeile:
;
; 1. Integrationsstufe EXXX-XX-XX-XXX
; alphanumerisch 14-stellig Wildcard ? erlaubt
;
; Integrationsstufe XX.XXXX ( altes Format )
; alphanumerisch 4 bis 7-stellig Wildcard ? erlaubt
;
; 2. SG-Adresse 2-stellig hex
;
; 3. Typschlüssel T + 4-stellig alphanumerisch Wildcard ? erlaubt Negation ! erlaubt
; Mehrere Typschlüssel werden und-verknüpft
;
; 4. Sonderausstattung S + 3-stellig numerisch Wildcard ? erlaubt Negation ! erlaubt
; Mehrere Sonderausstattungen werden und-verknüpft
;
; 5. Zusbau-Nummer Z + 7-stellig numerisch Wildcard ? erlaubt
;
;
;
;
;
;
;

[MUSTER]
????-??-??-??? 0F TAB?? T!AB44 S2?? S!201 S400 Z123456?

????-??-??-??? 02 T???? Z7654321
; Zusbau-Nummer 7654321 mit SG-Adresse 02 ist bei beliebiger Integrationsstufe ( immer )
; und beliebigem Typschlüssel ( immer ) nicht programmiert sondern getauscht
;

[E65]

[E60]

[RR1]

[E89X]

; EOF


Sample SEQUENZ.DAT

Header of configuration file SEQUENZ.DAT, which explains the composition of the content.

; SEQUENZ.DAT
;
; Liste der Flashbedingungen und Programmierreihenfolgen für Ein- und Mehrkanalbetrieb
;
; Datenformat einer Zeile:
;
; 1. Integrationsstufe EXXX-XX-XX-XXX
; alphanumerisch 14-stellig Wildcard ? erlaubt
;
; Integrationsstufe XX.XXXX ( altes Format )
; alphanumerisch 4 bis 7-stellig Wildcard ? erlaubt
;
; 2. SG-Adresse 2-stellig hex
;
; 3. Typschlüssel T + 4-stellig alphanumerisch Wildcard ? erlaubt Negation ! erlaubt
;
; 4. Sonderausstattung S + 3-stellig numerisch Wildcard ? erlaubt Negation ! erlaubt
;
; 5. Bedingung BKL_0 oder BKlemme_0 bzw. BKL_R oder BKlemme_R bzw. BKL_15 oder BKlemme_15
; Defaultwert ist BKL_15, also Programmieren bei Klemme 15 ( Zündung ein )
;
; 6. Kanal K + 1-stellig numerisch Programmierkanal
; Defaultwert ist 1
;
; 7. Zeile Z + 2-stellig numerisch Reihenfolge der Programmierung
; Defaultwert ist 50
;
; 8. Rang R + 2-stellig numerisch Reihenfolge der Programmierung innnerhalb einer Zeile
; Defaultwert ist 50
;
; 9. Wartezeit W + 2-stellig numerisch Wartezeit nach der Programmierung
; Defaultwert ist 00
;
;
[MUSTER]
????-??-??-??? 0F T???? R01

????-??-??-??? 02 T???? BKlemme_R R01 W05
; SG-Adresse 0F wird bei Klemme 15 programmiert mit Rang 1, also als erstes SG
; SG-Adresse 02 wird bei Klemme R programmiert mit Rang 1 und einer Wartezeit von 5 sek
;

[E65]

[E60]

[RR1]

[E89X]

; EOF


Sample SGSIM.DAT

Header of configuration file SGSIM.DAT, which explains the composition of the content.

; SGSIM.DAT
;
; Liste der zu simulierenden Steuergeräte
;
; Datenformat einer Zeile:
;
; 1. Integrationsstufe EXXX-XX-XX-XXX
; alphanumerisch 14-stellig Wildcard ? erlaubt
;
; Integrationsstufe XX.XXXX ( altes Format )
; alphanumerisch 4 bis 7-stellig Wildcard ? erlaubt
;
; 2. SG-Adresse 2-stellig hex
;
; 3. Typschlüssel T + 4-stellig alphanumerisch Wildcard ? erlaubt Negation ! erlaubt
; Mehrere Typschlüssel werden und-verknüpft
;
; 4. Sonderausstattung S + 3-stellig numerisch Wildcard ? erlaubt Negation ! erlaubt
; Mehrere Sonderausstattungen werden und-verknüpft
;
; 5. Zusbau-Nummer Z + 7-stellig numerisch
;
; 6. HW*-Nummer H + 7-stellig numerisch
;
;
;
;
;

; Es kann auch der CAS-Auftrag simuliert werden.
; Er muss in der Sektion [AUFTRAG] stehen und hat die gleiche Form wie die der Trace-Datei FZG.TMP
[MUSTER_AUFTRAG]
FGNR : WBAGM21010DR49348
Baureihe : E65
Mehrkanal : nein
TypSchluessel : GM21
Codierbaustand : 0103
Ist I-Stufe : 6.98
Soll I-Stufe : 6.98
Lack : 0892
Polster : U6FA
SA_Anz : 25
SA202 SA216 SA229 SA238 SA245 SA261 SA302 SA316 SA323 SA438
SA441 SA488 SA502 SA508 SA521 SA522 SA548 SA609 SA630 SA650
SA672 SA676 SA856 SA863 SA883
E_Wort_Anz : 1
LEDE
HO_Wort_Anz : 0

[MUSTER_E65]
????-??-??-??? 0F TAB?? T!AB44 S2?? S!201 S400 Z1234567

????-??-??-??? 02 T???? Z7654321
; Zusbau-Nummer 7654321 mit SG-Adresse 02 ist bei beliebiger Integrationsstufe ( immer )
; und beliebigem Typschlüssel ( immer ) simuliert
;

[E65]

[E60]

[RR1]

[E89X]

; EOF


Sample KMM_BACK.DAT

Header of configuration file KMM_BACK.DAT, which explains the composition of the content.

; KMM_BACK.DAT
;
; Liste der Inkompatibilitäten
;
; Datenformat einer Zeile:
;
; 1. Integrationsstufe EXXX-XX-XX-XXX
; alphanumerisch 14-stellig Wildcard ? erlaubt
;
; Integrationsstufe XX.XXXX ( altes Format )
; alphanumerisch 4 bis 7-stellig Wildcard ? erlaubt
;
; 2. SG-Adresse 2-stellig hex
;
; 3. Typschlüssel T + 4-stellig alphanumerisch Wildcard ? erlaubt Negation ! erlaubt
; Mehrere Typschlüssel werden und-verknüpft
;
; 4. Sonderausstattung S + 3-stellig numerisch Wildcard ? erlaubt Negation ! erlaubt
; Mehrere Sonderausstattungen werden und-verknüpft
;
; 5. Zusbau-Nummer Z + 7-stellig numerisch
;
; 6. Kompatibilitäts-Zusbau-Nummer K + 7-stellig numerisch
; Mehrere Kompatibilitäts-Zusbau-Nummern werden und-verknüpft
;
;
;
;

[MUSTER]
????-??-??-??? 0F TAB?? T!AB44 S2?? S!201 S400 K1234567 K1234568 Z7654321

????-??-??-??? 02 T???? K1111111 Z7654321
; Zusbau-Nummer 7654321 mit SG-Adresse 02 ist bei beliebiger Integrationsstufe ( immer )
; und beliebigem Typschlüssel ( immer ) programmiert, wenn im Fahrzeug die
; Zusbau-Nummer 1111111 verbaut ist

[E65]

[E60]

[RR1]

[E89X]

; EOF


Sample NOTFALL.DAT

Header of configuration file NOTFALL.DAT, which explains the composition of the content.

; NOTFALL.DAT
;
; Liste der für Notfallflashen erlaubten Zusbau-Nummern
;
; Datenformat einer Zeile:
;
; 1. Integrationsstufe EXXX-XX-XX-XXX
; alphanumerisch 14-stellig Wildcard ? erlaubt
;
; Integrationsstufe XX.XXXX ( altes Format )
; alphanumerisch 4 bis 7-stellig Wildcard ? erlaubt
; Wird ignoriert, muss aber syntaktisch korrekt sein. Es sollte ????-??-??-??? benutzt werden
;
; 2. SG-Adresse 2-stellig hex
;
; 3. Typschlüssel T + 4-stellig alphanumerisch Wildcard ? erlaubt Negation ! erlaubt
; Wird ignoriert, muss aber syntaktisch korrekt sein. Es sollte T???? benutzt werden
;
; 4. Sonderausstattung S + 3-stellig numerisch Wildcard ? erlaubt Negation ! erlaubt
; Wird ignoriert, muss aber syntaktisch korrekt sein. Sollte nicht benutzt werden
;
; 5. Zusbau-Nummer Z + 7-stellig numerisch
;
;
;
;
;
;
;

[MUSTER]
????-??-??-??? 0F T???? Z6918086

????-??-??-??? 02 T???? Z6918623
; Zusbau-Nummer 1234567 mit SG-Adresse 0F und
; Zusbau-Nummer 7654321 mit SG-Adresse 02 kann Notfall programmiert werden
;

[E65]

[E60]

[RR1]

[E89X]

; EOF


Sample ZB_CHECK.DAT

Header of configuration file ZB_CHECK.DAT, which explains the composition of the content.

; ZB_CHECK.DAT
;
; Liste der zu prüfenden ZusBau-Nummern der Steuergeräte
;
; Datenformat einer Zeile:
;
; 1. Integrationsstufe EXXX-XX-XX-XXX
; alphanumerisch 14-stellig Wildcard ? erlaubt
;
; Integrationsstufe XX.XXXX ( altes Format )
; alphanumerisch 4 bis 7-stellig Wildcard ? erlaubt
;
; 2. SG-Adresse 2-stellig hex
;
; 3. Typschlüssel T + 4-stellig alphanumerisch Wildcard ? erlaubt Negation ! erlaubt
; Mehrere Typschlüssel werden und-verknüpft
;
; 4. Sonderausstattung S + 3-stellig numerisch Wildcard ? erlaubt Negation ! erlaubt
; Mehrere Sonderausstattungen werden und-verknüpft
;
; 5. Zusbau-Nummer Z + 7-stellig numerisch
;
;
;
;
;
;
;

[MUSTER]
????-??-??-??? 0F TAB?? T!AB44 S2?? S!201 S400 Z1234567

????-??-??-??? 02 T???? Z7654321
; Zusbau-Nummer 7654321 mit SG-Adresse 02 ist bei beliebiger Integrationsstufe ( immer )
; und beliebigem Typschlüssel ( immer ) verbaut
;

[E65]

[E60]

[RR1]

[E89X]

; EOF


Sample I_STUFE.DAT

Header of configuration file I_STUFE.DAT, which explains the composition of the content.

; I_STUFE.DAT
;
; Soll-Integrationsstufe
;
; Datenformat einer Zeile:
;
; 1. Integrationsstufe EXXX-XX-XX-XXX
; alphanumerisch 14-stellig Wildcard ? erlaubt
;
; Integrationsstufe XX.XXXX ( altes Format )
; alphanumerisch 4 bis 7-stellig Wildcard ? erlaubt
;
; 2. Typschlüssel T + 4-stellig alphanumerisch Wildcard ? erlaubt Negation ! erlaubt
; Mehrere Typschlüssel werden und-verknüpft
;
; 3. Sonderausstattung S + 3-stellig numerisch Wildcard ? erlaubt Negation ! erlaubt
; Mehrere Sonderausstattungen werden und-verknüpft
;
; 4. Schlüsselwort Auto wenn Automatik-Mode.
; Soll-Integrationsstufe ist Ist-Integrationsstufe
;
; 5. IStufe
; Wenn angegeben wird IStufenlogik benutzt.
;
; 6. Istufe IXXXX-XX-XX-XXX
; alphanumerisch 14-stellig Wildcard ? nicht erlaubt
;
; Istufe IXX.XXXX ( altes Format )
; alphanumerisch 4 bis 7-stellig Wildcard ? nicht erlaubt
; Soll-Integrationsstufe
; Wird in Verbindung mit Auto nur benutzt, wenn Ist-Integrationsstufe ungültig ist
;

[MUSTER]
E060-03-04-400 TAB?? T!AB44 S2?? S!201 S400 IE060-03-04-500

????-??-??-??? T???? Auto IStufe IE060-03-04-510
; Bei beliebiger Integrationsstufe ( immer )
; und beliebigem Typschlüssel ( immer ) wird IStufenlogik mit Automatik-Mode
; benutzt. Ist die Ist-Integrationsstufe ungültig wird IStufe E060-03-04-510 benutzt

[E65]

[E60]

[RR1]

[E89X]

; EOF


Sample TRAILER.DAT

Sample of configuration file TRAILER.DAT:

; TRAILER.DAT
;
; Baureihenbezogene Zuordnung von Steuergeräteadressen
;
; Datenformat einer Zeile:
;
; 1. Steuergerätebezeichnung
; alphanumerisch 3 bis 8-stellig
;
;
; 2. SG-Adresse 2-stellig hex
; mehrere Adressen werden mit ":" getrennt
;
;
[E65]
ACC = 21
AHM = 71
ALC = 22
AMP = 37
ARS = 23
ASK = 3F
AT = 47
BZM = 65
BZM_F = 66
CAS = 40
CDC = 3C
CID_F = 74
CIM = 42
DME_DDE = 12
DSC = 29
DWA = 41
ECO = 67
ECO_F = 68
EDCK = 39
EHC = 38
EMF = 2A
FBIE = 61
HKA = 79
HKL = 6B
IHKH = 78
KHI = 3A
KOMB = 60
LM = 70
MMC = 31
MMI = 62:63
MMIF = 32:34
NAVI = 3B
PA = 27
PDC = 64
PM = 43
RDC = 20
RLS = 45
SASL = 03
SASR = 04
SBSL = 09
SBSR = 0A
SDARS = 54
SEC1 = 49
SEC2 = 4A
SFZ = 0E
SHD = 44
SHZH = 7A
SGM = 00:01
SM_BF = 6E
SM_BFH = 6A
SM_FA = 6D
SM_FAH = 69
SSBF = 08
SSFA = 07
SSH = 0D
STVL = 05
STVR = 06
SVS = 35
SZL = 02
TEL = 36
TM_B = 4D
TM_BH = 4F
TM_F = 4C
TM_FH = 4E
VID = 4B
VVT = 1B:1E
WIM = 46
;
;
[E60]
ACC = 21
AFS = 16
AHM = 71
ALC = 22
AMP = 37
ARS = 23
CAS = 40
CCC = 47:3F:62:63:A0
MASK = 62:63:90:91
CDC = 3C
CID = 73
CID_F = 74
CVM = 24
DME_DDE = 12
DSC = 29
DWA = 41
DWA_SINE = 50
EGS_SMG = 18
EHC = 38
EKP = 17
HKL = 6B
HUD = 3D
IHKA = 78
KBM = 72
KHM = 3A
KOMB = 60
LM = 70
MMC65 = 31
MPM = 43
NAV = 3B
PDC = 64
PGS = 27
RDC = 20
RLS = 45
SBSL = A1
SBSR = A2
SDAR = 54
SFZ = 0E
SGM = 00:01
SHD = 44
SHZH = 7A
SMBF = 6E
SMFA = 6D
SZL = 02
SZM = 65
TEBF = 06
TEFA = 05
TEL = 36
VID = 4B
VVT1 = 1B:1E
ZBE = 67

[E89x]
JBBF = 00
MRSZ5 = 01
DME/DDE = 12
AFS90 = 16
EKP = 17
EGS/SMG = 18
VGSG90 = 19
LDM90 = 1C
FFP90 = 1D
ACC = 21
PGS2 = 27
DSC/DXC = 29
TCU = 36
AMP60 = 37
NAVI = 3B
CDC = 3C
CCC_ASK = 3F
CAS = 40
DWA_USIS = 41
MDS = 44
RLS = 45
VID = 4B
DWA_SINE = 50
SDAR = 54
FZD = 56
;IBOC_DAB = 5B
KOMBI = 60
PDC = 64
ZBE = 67
SM_FA = 6D
SM_BF = 6E
AHM = 71
FRM = 72
CID = 73
IHK = 78
CCC = 47:3F:62:63:A0
MASK = 3B:62:63:90:91:92

[RR1]
ACC = 21
AHM = 71
ALC = 22
AMP = 37
ARS = 23
ASK = 3F
AT = 47
BZM = 65
BZM_F = 66
CAS = 40
CDC = 3C
CID_F = 74
CIM = 42
DME_DDE = 12
DSC = 29
DWA = 41
ECO = 67
ECO_F = 68
EDCK = 39
EHC = 38
EMF = 2A
FBIE = 61
HKA = 79
HKL = 6B
IHKH = 78
KHI = 3A
KOMB = 60
LM = 70
MMC = 31
MMI = 62:63
MMIF = 32:34
NAVI = 3B
PA = 27
PDC = 64
PM = 43
RDC = 20
RLS = 45
SASL = 03
SASR = 04
SBSL = 09
SBSR = 0A
SDARS = 54
SEC1 = 49
SEC2 = 4A
SFZ = 0E
SHD = 44
SHZH = 7A
SGM = 00:01
SM_BF = 6E
SM_BFH = 6A
SM_FA = 6D
SM_FAH = 69
SSBF = 08
SSFA = 07
SSH = 0D
STVL = 05
STVR = 06
SVS = 35
SZL = 02
TEL = 36
TM_B = 4D
TM_BH = 4F
TM_F = 4C
TM_FH = 4E
VID = 4B
VVT = 1B:1E
WIM = 46
;
; EOF


Menu: File

Back to:

Operating the Main Window

Menus

For details click on the menu item!


Menu: File | Load new instance

Back to:

Operating the Main Window

Menu: File

Starts another NFS instance. It is possible to operate a maximum of 9 instances simultaneously on a computer (the menu option is only visible in multi instance operation).


Menu: File | Exit

Menü: File | Exit

Back to:

Operating the Main Window

Menu: File

Terminates the application NFS (respectively this instance of NFS in multi instance operation).


Menu: File | Exit all instances

Back to:

Operating the Main Window

Menu: File

Terminates all NFS instances running on this computer (this menu option is only visible in multi instance operation).


Menu: Extras

Back to:

Operating the Main Window

Menus

For details click on the menu item!


Menu: Extras | Show headline

Back to:

Operating the Main Window

Menu: Extras

Fades the headline in or out (logo, title and version/responsible/facility).

By fading out the headline, you enlarge the display field of the result display.

The setting selected is saved in NFS.INI and retained the next time the program is started.


Menu: Extras | Show battery and ignition

Back to:

Operating the Main Window

Menu: Extras

Fades the display of the battery and the ignition in or out (terminal status).

By fading out the header, you anlarge the display field of the result display.

The setting selected is saved in NFS.INI and retained the next time the program is started.


Menu: Extras | View NFS.INI

Back to:

Operating the Main Window

Menu: Extras

Shows configuration file of NFS.


Menu: Extras | View ID_CHECK.DAT

Back to:

Operating the Main Window

Menu: Extras

Contains ECUs with unreliably functioning diagnosis, but that still have to be available depending on the equipment (for example, SINE).

See also:

Sample ID_CHECK.DAT


Menu: Extras | View AKTION.DAT

Back to:

Operating the Main Window

Menu: Extras

List of ECUs included in the modification plan (independent of the KMM result).

See also:

Sample AKTION.DAT


Menu: Extras | View NOFLASH.DAT

Back to:

Operating the Main Window

Menu: Extras

List of ECUs to be exchanged. The ECUs contained in this list may not be flashed and must be exchanged.

See also:

Sample NOFLASH.DAT


Menu: Extras | View SEQUENZ.DAT

Back to:

Operating the Main Window

Menu: Extras

List of the flash conditions and programming sequences. Here you define in which ignition key position and in which sequence the ECUs are flashed.

See also:

Sample SEQUENZ.DAT


Menu: Extras | View SGSIM.DAT

Back to:

Operating the Main Window

Menu: Extras

List of the ECUs to be simulated.

Contains ECUs not currently available in the vehicle (e.g. door dismounted).

See also:

Sample SGSIM.DAT


Menu: Extras | View KMM_BACK.DAT

Back to:

Operating the Main Window

Menu: Extras

Contains a list of incompatibilities between ECUs, type keys, integration levels etc.

Is only used in KMM backup mode instead of KMM, see NFS.INI.

See also:

Sample KMM_BACK.DAT


Menu: Extras | View NOTFALL.DAT

Back to:

Operating the Main Window

Menu: Extras

List of the ZB-numbers allowed for emergency flashing.

Siehe auch:

Konfiguration Notfallflashen

Sample NOTFALL.DAT


Menu: Extras | View ZB_CHECK.DAT

Back to:

Operating the Main Window

Menu: Extras

List of the ZB-numbers of the ECUs to be checked.

See also:

Sample ZB_CHECK.DAT


Menu: Extras | View I_STUFE.DAT

Back to:

Operating the Main Window

Menu: Extras

Contains the target integration level.

See also:

Sample I_STUFE.DAT


Menu: Extras | View Programming Diary

Back to:

Operating the Main Window

Menu: Extras

Programming diary. The file name consists of the name of the facility (in this example NFS_01) and the calendar week (24).

Contains each flash process conducted together with the result (OK or not OK). A new file is started each week.


Menu: Extras | View FZG.TMP

Back to:

Operating the Main Window

Menu: Extras

All information about the last processed vehicle. Is overwritten with the next vehicle.


Menu: Extras | View ZB.TMP

Back to:

Operating the Main Window

Menu: Extras

List of all ZB-numbers that can be programmed via WinKFP (details about the performance of the WinKFP version used).


Menu: Extras | View FA.TRC

Back to:

Operating the Main Window

Menu: Extras

List of all tested vehicles with details about the equipment (chassis number, type keys, special equipment).


Menu: Extras | View ID.TRC

Back to:

Operating the Main Window

Menu: Extras

List of all tested vehicles with the ID data of the individual ECUs.


Menu: Extras | View KMM.TRC

Back to:

Operating the Main Window

Menu: Extras

List of all modification plans for the vehicles supplied by KMM. A maximum of 10 modification plans can be called up per vehicle. However, only the first modification plan is executed, the further modification plans merely serve for diagnosis.


Menu: Extras | View KMM_BACK.TRC

Back to:

Operating the Main Window

Menu: Extras

Contains the results of the KMM backup solution (alternative to KMM when the option KMM_BACK=JA is activated).


Menu: Extras | View CASCADE.XML

Back to:

Operating the Main Window

Menu: Extras

XML file that was generated as a result of a CASCADE call-up (only in CASCADE operation). In case of OK, contains the modification plan, if not OK, merely a description of the error.


Menu: Extras | View FLASH.PRT

Back to:

Operating the Main Window

Menu: Extras

Result (feedback) from WinKFP after termination of an order (e.g. flash order). In multi-channel operation, one sub-menu with one item per channel is offered.


Menu: Extras | View ERROR.TRC

Back to:

Operating the Main Window

Menu: Extras

List of all errors, warnings and user interferences.

Warnings can be turned off via the entry WARN_Log in the section [TRACE] in the NFS.INI.


Menu: Emergency flash

Back to:

Operating the Main Window

Menus

Starts emergency flashing.


Menu: Configuration

Back to:

Operating the Main Window

Menus

The configuration menu will be visible only if the "Trailermode" option is activated in the NFS.INI.

For details click on the menu item!


Menu: Configuration | Trailer Configuration

Back to:

Operating the Main Window

Menu: Configuration

Opens the dialog for trailermade configuration.

According to the done selections the files KMM_BACK.DAT and ID_CHECK.DAT will be created.

See also:

Operating Configuration

Operating Configuration (conflict)


Menu: Configuration | View TRAILER.DAT

Back to:

Operating the Main Window

Menu: Configuration

List of ECUs with corresponding ECU adresses for each carline.

See also:

Sample TRAILER.DAT


Menu: Configuration | <Trailer profile>

Back to:

Operating the Main Window

Menu: Configuration

Activates the choosen trailer profile. NFS.INI will be overwritten followed by automatic reconfiguration.

Menu items are defined in the NFS.INI in the section [Trailerprofil].


Menu: Test mode

Back to:

Operating the Main Window

Menus

For details click on the menu item!


Menu: Test mode | Create reconfiguration file

Back to:

Operating the Main Window

Menu: Test mode

All configuration files are newly entered.

Is required when configuration files are changed while the program is running (*.INI, *.DAT). The program will first work with the updated data after reconfiguration


Menu: Test mode | Interpretation ID_CHECK.DAT

Back to:

Operating the Main Window

Menu: Test mode

Checks the file ID_CHECK.DAT (display of FZG.TMP).

See also:

Sample ID_CHECK.DAT


Menu: Test mode | Interpretation AKTION.DAT

Back to:

Operating the Main Window

Menu: Test mode

Checks the file AKTION.DAT (display of FZG.TMP).

See also:

Sample AKTION.DAT


Menu: Test mode | Interpretation NOFLASH.DAT

Back to:

Operating the Main Window

Menu: Test mode

Checks the file NOFLASH.DAT (display of FZG.TMP).

See also:

Sample NOFLASH.DAT


Menu: Test mode | Interpretation KMM

Back to:

Operating the Main Window

Menu: Test mode

Checks the overall configuration and the process flow (display of FZG.TMP).


Menu: Test mode | Start of CASCADE ZB-No Check

Back to:

Operating the Main Window

Menu: Test mode

Starts a CASCADE sequence for test purposes with the parameter ZB_CHECK (without chassis number).


Menu: Test mode | Start of CASCADE APP ZB-No Check

Back to:

Operating the Main Window

Menu: Test mode

Starts a CASCADE sequence for test purposes with the parameter APP_ZB_CHECK (without chassis number).


Menu: Test mode | Start of CASCADE Automatic Flash

Back to:

Operating the Main Window

Menu: Test mode

Starts a CASCADE sequence for test purposes with the parameter AUTOMATIC_FLASH (without chassis number).


Menu: Test mode | Start of CASCADE Automatic Flash

Menu: Test mode | Start of CASCADE APP Automatic Flash

Back to:

Operating the Main Window

Menu: Test mode

Starts a CASCADE sequence for test purposes with the parameter APP_AUTOMATIC_FLASH (without chassis number).


Menu: Test mode | Delete all trace files

Back to:

Operating the Main Window

Menu: Test mode

Deletes the log files in the directory TRACE with exception of the programming diary.


Menu: Help

Back to:

Operating the Main Window

Menus

For details click on the menu item!


Menu: Help | Help

Back to:

Operating the Main Window

Menu: Help

Opens the NFS online help NFS.HLP.

If English is preset, the file NFS_E.HLP is used.


Menu: Help | About

Back to:

Operating the Main Window

Menu: Help

Opens the information window with version information, copyrights and a history of the conducted changes (expansions or error corrections).


Menu: File (Display Window)

Back to:

Operating the Main Window

For details click on the menu item!


Menu: File | Edit (Display Window)

Switches the currently displayed file to edit mode. Now you can change the file content.

Attention: If you make changes to the displayed files, this may result in performance disruptions in the NFS or a complete malfunctioning.


Menu: File | Save (Display Window)

Can only be selected when the edit mode is activated.

Overwrites the selected file with the current (changed) content of the display section.


Menu: File | Print (Display Window)

Prints the content of the display section.


Menu: File | Exit (Display Window)

Closes the display window.

If there are changes in the display window that were not yet saved, you will be asked whether you want to save these.


Start Taste

Start Button

Back to:

Operating the Main Window

In normal process flow, this button can only be pressed when a vehicle is connected and the ignition is on.


Continue Button

Back to:

Operating the Main Window

Only visible and operable when user input is required in the process flow.


Cancel Button

Back to:

Operating the Main Window

Only visible and operable when user input is expected in the process flow.


Ignore Button

Back to:

Operating the Main Window

Only visible and operable when user input is expected in the process flow.

When pressing this button, certain actions (waiting steps, tests) are interrupted or skipped deviating from the normal process flow. For traceability, the pressing of this button is recorded in the trace file (ERROR.TRC).


Print Button

Back to:

Operating the Main Window

Prints out the current content of the text field "Instructions" on the PC's standard printer and mainly serves to document not OK events as well as printing out the list with the ECUs to be exchanged.

The button is only visible in the following process states:

·Display of the ECUs to be exchanged or flashed

·Checking the vehicle not OK

·Emergency flashing not OK

NB: If no printer is configured on the PC, the button is visible but disabled.


NFS.INI [ANZEIGE] WinPos…

Window position for the next program start. The program generates information automatically.


NFS.INI [Konfiguration] MULTIINSTANZ

Format:String

Default:"N"

Remark:Only the 1st letter is relevant.

Defines whether NFS is operated in multi instance mode (JA/NEIN).


NFS.INI [BAUREIHENMATRIX] Auftrag_SGBD

Format:String

Use only for motorbike plant Berlin!

This entry indicates a SGBD to be used instead of the SGBD "CAS" to obtain the vehicle data set. (identical jobs und results required).

Example:

[BAUREIHENMATRIX]

Auftrag_SGBD = MRK24


NFS.INI [ANZEIGE] Kopfzeile

Format:String

Default:"J"

Remark:Only the 1st letter is relevant.

Defines whether a header is displayed (JA/NEIN) (this setting can be changed via the "Extras" menu).


ANLAGE.INI [KONFIGURATION] Anlage

Format:String

Default:"N"

Name of the test site, appears in the main window, log is maintained by this name (e.g. NFS_01).


NFS.INI [Exx] UBatt_RESULT

Format:String

The parameter set here is transferred 1:1 without testing as result name ECU to the EDIABAS interface and must be defined in the respective SGBD of the vehicle series (on-board supply voltage)

See also:

[Exx]


NFS.INI [Exx] UBatt_SGBD

Format:String

The parameter set here is transferred 1:1 without testing as ECU to the EDIABAS interface and must be defined in the respective SGBD of the vehicle series.

See also:

[Exx]


NFS.INI [ANZEIGE] BatterieZuendung

Format:String

Default:"J"

Remark:Only the 1st letter is relevant.

Defines whether the terminal status is displayed (JA/NEIN) (this setting can be changed via the "Extras" menu).


NFS.INI [Exx] UBatt_JOB

Format:String

The parameter set here is transferred 1:1 without testing as JOB to the Ediabas interface and must be defined in the respective SGBD of the vehicle series.

See also:

[Exx]


NFS.INI [Trace] WARN_Log

Format:String

Default:"N"

Remark:Only the 1st letter is relevant.

Defines whether warnings are recorded in the ERROR.TRC file in addition to errors (JA/NEIN).


NFS.INI [Exx] UBatt_MIN

Format:Integer

Limit value for checking the "on-board supply voltage" result.

See also:

[Exx]


NFS.INI [Exx] UBatt_MAX

Format:Integer

Limit value for checking the "on-board supply voltage" result.

See also:

[Exx]


NFS.INI [Konfiguration] FIXEDWINDOW

Format:String

Default:"N"

Remark:Only the 1st letter is relevant.

With "J", the operator cannot position the instance windows. Instead, the program arranges them automatically (JA/NEIN).


NFS.INI [Konfiguration] HO_MODUS

Format:String

Default:"N"

Remark:Only the 1st letter is relevant.

Defines whether NFS is operated in HO mode (JA/NEIN).


NFS.INI [Trailerprofil]

Format:String

This section contains the trailer profiles of the Configuration Menu. Up to 9 profiles can be defined. Temporary not used entries can be marked as comment as there is no continuous numbering required.

Possible entries are: Text_1, Text_2 and so on till Text_9 respectively. Datei_1, Datei_2 and so on till Datei_9.


NFS.INI [Konfiguration] SIGNALLEUCHTE

Format:String

Default:"N"

Remark:Only the 1st letter is relevant.

Defines whether signal lights are accessed or not (used in connection with trailer operation) (JA/NEIN).


NFS.INI [Trace] ID_Log

Format:String

Default:"N"

Remark:Only the 1st letter is relevant.

Defines whether the vehicle ID data is recorded in a file (JA/NEIN).

File = \..\TRACE\ID.TRC

Content: the ID data of the vehicle.


NFS.INI [Konfiguration] Retry

Format:Integer

Default:2

Remark:can be set to 0

The number of repeat attempts when accessing the vehicle via EDIABAS; can be set to 0, as EDIABAS already conducts repeats internally. The value stated here is to be understood as multiplier of the internal repeat attempts.


NFS.INI [Konfiguration] FLASH_ZBNR_ALLWAYS

Format:String

Default:"N"

Remark:Only the 1st letter is relevant.

Defines whether the flash instructions contained in AKTION.DAT are to be carried out regardless of the results of KMM/KMM_BACK (JA/NEIN).


NFS.INI [Konfiguration] TestModus

Format:String

Default:"N"

Remark:Only the 1st letter is relevant.

Defines whether the menu "Test mode" is displayed (JA/NEIN).


NFS.INI [Trace] KMM_Log

Format:String

Default:"N"

Remark:Only the 1st letter is relevant.

Defines whether recordings are made in a file (JA/NEIN).

File = \..\TRACE\KMM.TRC

Content: modification plans of compatibility management


NFS.INI [REKONFIGURATION] DateiNameAus

Format:String

Default:"C:\NFS\BATCH\MESSAGE.OLD"

After conducting a reconfiguration due to the above-mentioned file, DateiNameEin is renamed to DateiNameAus (naming convention in multi instance operation: see above at DateiNameEin).


NFS.INI [Konfiguration] ON_KMM_PROBLEM_TRY_TO_FLASH

Format:String

Default:"N"

Remark:Only the 1st letter is relevant.

Defines whether a flash is performed when the KMM does not provide a clear decision (JA/NEIN).


NFS.INI [Trailerprofil] Text_x

Format:String

Possible entries are: Text_1, Text_2 and so on till Text_9

Text for the menu items of trailer profiles in the configuration menu.


NFS.INI [Exx]

Format:String

This section can be present optionaly for some model codes. It is required when the names of the SGBD, jobs or results do not match with the preset names

Preset parameters:

Parameter | Value
UBatt_SGBD | "UTILITY"
UBatt_JOB | "STATUS_ZUENDUNG"
UBatt_RESULT | "STAT_ZUENDUNG"
UBatt_MIN | 1
UBatt_MAX | 1

Remark: By default UBatt returns a boolean value (0 or 1), thus both limits are preset to 1. If the return value represents the voltage the limits have to be adjusted accordingly.


NFS.INI [Konfiguration] KMM_BACK

Format:String

Default:"N"

Remark:Only the 1st letter is relevant.

Defines whether the backup solution is to be used for KMM. The content of the file KMM_BACK.DAT is then used instead of KMM (JA/NEIN).

Is used when KMM is not up to date yet due to alterations or when the KMM result is to be circumvented on purpose (e.g. in trailer operation)


NFS.INI [Konfiguration] STICHPROBE

Format:String

Default:"N"

Remark:Only the 1st letter is relevant.

Defines whether NFS is operated in sampling mode (JA/NEIN).


NFS.INI [Konfiguration] TRAILERMODUS

Format:String

Default:"N"

Remark:Only the 1st letter is relevant.

Defines whether NFS is operated in trailer mode (JA/NEIN).


NFS.INI [Trace] FA_Log

Format:String

Default:"N"

Remark:Only the 1st letter is relevant.

Defines whether recordings are made in a file (JA/NEIN).

File = \..\TRACE\FA.TRC

Contents: order data of the vehicle


NFS.INI [Konfiguration] Logo

Format:String

Default:"D"

Remark:Only the 1st letter is relevant.

You define the logo to be displayed:

·"" = BMW Group logo (default, BMW&Mini)

·B = BMW Logo (2 logos are distinguished according to the language setting (see "Language"))

·R = Rolls Royce logo

·M = Mini logo

Serves to individualize the user interface depending on the location.


NFS.INI [Trailerprofil] Datei_x

Format:String (path+filename)

Possible entries are: Datei_1, Datei_2 ond so on till Datei_9

Sourcefile to overwrite NFS.INI with selection of the corresponding trailer profile.


NFS.INI [BAUREIHENMATRIX] Exx

Format:String

"Baureihenmatrix" works like a translation list for model codes. For every model code can be determined which model code should be used instead in further course of the program.

For example (E66 and E67 are treated as an E65 in the further course of the program)

[BAUREIHENMATRIX]

E66 = E65

E67 = E65


NFS.INI [Konfiguration] ZB_CHECK

Format:String

Default:"N"

Remark:Only the 1st letter is relevant.

Defines whether a ZB number check is to be conducted (JA/NEIN). Only the AIF is checked and no flash orders are performed.


NFS.INI [REKONFIGURATION] DateiNameEin

Format:String

Default:"C:\NFS\BATCH\MESSAGE.MSG"

Is used to inform NFS that the configuration has changed. If NFS is idle and detects this file, an automatic reconfiguration takes place and the current parameter files are read in new.

NB: In multi instance operation, the instance number is added to the file name. This way NFS checks the first instance for the file MESSAGE_1.MSG, the 2nd instance for the file MESSAGE_2.MSG etc. in multi instance operation.


NFS.INI [Trace] ZB_Log

Format:String

Default:"N"

Remark:Only the 1st letter is relevant.

Defines whether recordings are made in a file (JA/NEIN).

File = \..\TRACE\ZB.TMP

Content: File with ZB numbers (Winkfp)


NFS.INI [Trace] FZG_Log

Format:String

Default:"N"

Remark:Only the 1st letter is relevant.

Defines whether recordings are made in a file (JA/NEIN/SICHERN).

File = \..\TRACE\FZG.TMP

Content: all information known about this vehicle (are overwritten again with the next vehicle).

Options:

- N: data will not be recorded

- J: all information known about this vehicle and overwritten again with the next vehicle

- S: function like "J", additonally a copy of the file will be generated for eyery vehicle. (filename = <VIN>.TRC; e.g. WBAUF11090JR92179.TRC). Existing files will be overwritten with repeating VIN.


NFS.INI [Konfiguration] ON_ZBNR_ERROR_USE_IDNR

Format:String

Default:"N"

Remark:Only the 1st letter is relevant.

Defines, whether processing continues with the HW*-number if the ZB number cannot be determined (JA/NEIN).)


NFS.INI [Konfiguration] Language

Format:String

Default:"D"

Remark:Only the 1st letter is relevant.

Defines which language is used:

D = German

E = English


NFS.INI [Konfiguration] AuftragSimulieren

Format:String

Default:"N"

Remark:Only the 1st letter is relevant.

Defines whether the vehicle order is simulated (JA/NEIN).


NFS.INI [Konfiguration] ON_IDNR_ERROR_USE_ZBNR

Format:String

Default:"N"

Remark:Only the 1st letter is relevant.

Defines whether processing continues with the ZB number if the HW* number cannot be determined (JA/NEIN)